package androidTest.loginTestPackage;

import com.mobile.MobileTest.MobileDriver;
import com.mobile.MobileTest.selector.android.loginElement;
import com.mobile.MobileTest.selector.helper.helper;
import org.openqa.selenium.By;
import org.openqa.selenium.WebElement;
import org.testng.Assert;

import java.util.Random;

public class InputChineseUsernamePassword {
    String chars = "手田水口廿卜山戈人心日尸木火土竹十大中難金女月弓";

    public WebElement getRelativeLayout() {
        try {
            return MobileDriver.getDriver().findElement(By.id(loginElement.loginLayout));
        } catch(Exception e) {
            System.out.println(helper.notification + ": Cannot find login layout"+" element is: "+loginElement.loginLayout);
        }
        return null;
    }

    public WebElement getUserName() {
        try {
            return MobileDriver.getDriver().findElement(By.id(loginElement.LoginUserName));
        } catch(Exception e) {
            System.out.println(helper.notification + " Cannot find user name"+ "element is: "+ loginElement.LoginUserName);
        }
        return null;
    }

    public WebElement getPassword() {
        try {
            return MobileDriver.getDriver().findElement(By.id(loginElement.LoginPassword));
        } catch(Exception e) {
            System.out.println(helper.notification + " Cannot find user name"+ "element is: "+ loginElement.LoginPassword);
        }
        return null;
    }

    public WebElement getTextImage() {
        try {
            return MobileDriver.getDriver().findElement(By.xpath(loginElement.PreparedLoginImage));
        } catch(Exception e) {
            System.out.println(helper.notification + " Cannot find Prepared login image"+ "element is: "+ loginElement.PreparedLoginImage);
        }
        return null;
    }

    public WebElement getSubmit() {
        try {
            return MobileDriver.getDriver().findElement(By.id(loginElement.SubmitButton));
        } catch(Exception e) {
            System.out.println(helper.notification + " Cannot find user name"+ "element is: "+ loginElement.SubmitButton);
        }
        return null;
    }

    public static String randomString(String chars, int length) {
        Random rand = new Random();
        StringBuilder sb = new StringBuilder();
        for (int i = 0; i < length; i++) {
            sb.append(chars.charAt(rand.nextInt(chars.length())));
        }
        return sb.toString();
    }

    public WebElement getLoginFailNotification() {
        try {
            return MobileDriver.getDriver().findElement(By.id(loginElement.LoginErorrNotification));
        } catch (Exception e) {
            System.out.println(helper.notification + ": Cannot find notification "+" element is: "+loginElement.LoginErorrNotification);
        }
        return null;
    }

    public void scrollTillWebView() throws InterruptedException {
        getUserName().click();
        getUserName().sendKeys(randomString(chars, 10));

        getRelativeLayout().click();

        getPassword().click();
        getPassword().sendKeys(randomString(chars, 10));

        getTextImage().click();
        getRelativeLayout().click();
        getSubmit().click();

        Thread.sleep(3000);
        Assert.assertEquals(getLoginFailNotification().getText(), "WARNING!");
        System.out.print("Test Done");
        Thread.sleep(1000);
    }
}
