package androidTest;

import org.openqa.selenium.By;
import org.openqa.selenium.WebElement;

import io.appium.java_client.android.nativekey.AndroidKey;
import io.appium.java_client.android.nativekey.KeyEvent;

import com.mobile.MobileTest.MobileDriver;
import org.openqa.selenium.support.ui.ExpectedConditions;
import org.openqa.selenium.support.ui.WebDriverWait;
import org.testng.Assert;

import static com.mobile.MobileTest.DriverFactory.driver;

public class Login<webElement> {

	public WebElement getRelativeLayout() {
		return MobileDriver.getDriver().findElement(By.id("com.fromlabs.prEPAred:id/rl_login_root"));
	}

	public WebElement getUserName() {
		return MobileDriver.getDriver().findElement(By.id("com.fromlabs.prEPAred:id/et_login_username"));
	}

	public WebElement getPassword() {
		return MobileDriver.getDriver().findElement(By.id("com.fromlabs.prEPAred:id/et_login_password"));
	}

	public WebElement getTextImage() {
		return MobileDriver.getDriver().findElement(By.xpath("//android.widget.ImageView[@index=0]"));
	}

	public WebElement getSubmit() {
		return MobileDriver.getDriver().findElement(By.id("com.fromlabs.prEPAred:id/btn_login_account"));
	}

	public WebElement getLoginResult() {
		return MobileDriver.getDriver().findElement(By.id("com.fromlabs.prEPAred:id/tv_UserLogin"));
	}

	public  WebElement getHelper() {
		return MobileDriver.getDriver().findElement(By.id("com.fromlabs.prEPAred:id/fl_help_content"));
	}

	public void scrollTillWebView() throws InterruptedException {
        WebDriverWait wait = new WebDriverWait(driver, 30);

		getUserName().click();
		getUserName().sendKeys("fl.trainee4");

		getRelativeLayout().click();

		getPassword().click();
		getPassword().sendKeys("Enjoy@19");

		getTextImage().click();
		getRelativeLayout().click();
		getSubmit().click();

        Thread.sleep(4000);
        wait.until(ExpectedConditions.presenceOfElementLocated(By
                .id("com.fromlabs.prEPAred:id/fl_help_content")));

        getHelper().click();

//		Assert.assertEquals(getHelper().isDisplayed(), true);

		Assert.assertEquals(getLoginResult().getText(), "fl.trainee4");
		Thread.sleep(1000);
	}
}
