package androidTest.loginTestPackage;

import com.mobile.MobileTest.MobileDriver;
import com.mobile.MobileTest.selector.android.loginElement;
import com.mobile.MobileTest.selector.helper.helper;
import org.openqa.selenium.By;
import org.openqa.selenium.WebElement;

import java.util.Random;

public class LoginBase {
    public WebElement getRelativeLayout() {
        try {
            return MobileDriver.getDriver().findElement(By.id(loginElement.loginLayout));
        } catch(Exception e) {
            System.out.println(helper.notification + ": Cannot find login layout"+" element is: "+loginElement.loginLayout);
        }
        return null;
    }

    public WebElement getUserName() {
        try {
            return MobileDriver.getDriver().findElement(By.id(loginElement.LoginUserName));
        } catch(Exception e) {
            System.out.println(helper.notification + " Cannot find user name"+ "element is: "+ loginElement.LoginUserName);
        }
        return null;
    }

    public WebElement getPassword() {
        try {
            return MobileDriver.getDriver().findElement(By.id(loginElement.LoginPassword));
        } catch(Exception e) {
            System.out.println(helper.notification + " Cannot find user name"+ "element is: "+ loginElement.LoginPassword);
        }
        return null;
    }

    public WebElement getTextImage() {
        try {
            return MobileDriver.getDriver().findElement(By.xpath(loginElement.PreparedLoginImage));
        } catch(Exception e) {
            System.out.println(helper.notification + " Cannot find Prepared login image"+ "element is: "+ loginElement.PreparedLoginImage);
        }
        return null;
    }

    public WebElement getSubmit() {
        try {
            return MobileDriver.getDriver().findElement(By.id(loginElement.SubmitButton));
        } catch(Exception e) {
            System.out.println(helper.notification + " Cannot find user name"+ "element is: "+ loginElement.SubmitButton);
        }
        return null;
    }

    public static String randomString(String chars, int length) {
        Random rand = new Random();
        StringBuilder sb = new StringBuilder();
        for (int i = 0; i < length; i++) {
            sb.append(chars.charAt(rand.nextInt(chars.length())));
        }
        return sb.toString();
    }

    public WebElement getLoginFailNotification() {
        try {
            return MobileDriver.getDriver().findElement(By.id(loginElement.LoginErorrNotification));
        } catch (Exception e) {
            System.out.println(helper.notification + ": Cannot find notification "+" element is: "+loginElement.LoginErorrNotification);
        }
        return null;
    }

    public WebElement closeButtonNotification() {
        try {
            return MobileDriver.getDriver().findElement(By.id(loginElement.CloseButtonNotification));
        } catch (Exception e) {
            System.out.println(helper.notification + ": Cannot find notification "+" element is: "+loginElement.CloseButtonNotification);
        }
        return null;
    }


}
